%global commit eddf66ead1b76f87981dd5e5cc267ab38bc59496
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global stackname genpy
Name:           python-%{stackname}
Version:        0.3.7
Release:        5.20130623git%{shortcommit}%{?dist}
Summary:        Python ROS message and service generation

License:        BSD
URL:            http://ros.org/
Source0:        https://github.com/ros/%{stackname}/archive/%{commit}/%{stackname}-%{version}-%{shortcommit}.tar.gz

# Move /usr/etc/langs to /etc/ros-langs
Patch0:         ros-%{stackname}-langs.patch
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  python-setuptools
BuildRequires:  catkin-devel
BuildRequires:  python-catkin-sphinx
BuildRequires:  python-genmsg-devel
BuildRequires:  python-nose

Requires:       python-genmsg

%description
genpy generates ROS Python messages from message definition files

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: python-genmsg-devel

%description devel
The %{name}-devel package contains cmake and pkgconfig files for
developing applications that use %{name}.

%prep
%setup -qn %{stackname}-%{commit}
%patch0 -p1 -b .langs

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd
pushd doc
make html
rm -f _build/html/.buildinfo
popd

%install
make -C build install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_datadir}/%{stackname}/bin

mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkgconfig

%check
make -C build test

%files
%doc doc/_build/html
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
%dir %{_datadir}/%{stackname}
%{_datadir}/%{stackname}/stack.xml
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info

%files devel
%{_datadir}/%{stackname}/cmake
%{_datadir}/pkgconfig/*.pc

%changelog
* Fri Jul 05 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-5.20130623giteddf66e
- Updated devel subpackage description

* Thu Jul 04 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-4.20130623giteddf66e
- Enable nose-based tests
- Build and install html documentation

* Sun Jun 23 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-3.20130623giteddf66e
- Update to comply with github upstream guidelines
- Create devel subpackage
- Fix build and runtime requirements

* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 0.3.7-2.gitc4d0d8d
- Rename to python-genpy

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.7-1.gitc4d0d8d
- Initial package
